View Issue Details

IDProjectCategoryView StatusLast Update
0015936ScribusInternalpublic2019-12-08 21:24
Reporterale Assigned Toale  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.5.6.svn 
Summary0015936: Remove ui/sccombobox
Descriptionlooks it's an empty class... that was introduced when migrating from qt3 to qt4
TagsNo tags attached.
PatchYes

Activities

ale

2019-11-12 15:51

manager  

sccombobox.diff (38,001 bytes)
diff --git a/scribus/CMakeLists.txt b/scribus/CMakeLists.txt
index 92421bcc8..3a6e69b38 100644
--- a/scribus/CMakeLists.txt
+++ b/scribus/CMakeLists.txt
@@ -486,7 +486,6 @@ set(SCRIBUS_MOC_CLASSES
 	ui/resourcemanagerlicense.h
 	ui/rulermover.h
 	ui/sccolorslider.h
-	ui/sccombobox.h
 	ui/scdockpalette.h
 	ui/scescapecatcher.h
 	ui/scfilewidget.h
@@ -988,7 +987,6 @@ set(SCRIBUS_SOURCES
 	ui/resourcemanagerlicense.cpp
 	ui/rulermover.cpp
 	ui/sccolorslider.cpp
-	ui/sccombobox.cpp
 	ui/scdockpalette.cpp
 	ui/scescapecatcher.cpp
 	ui/scfilewidget.cpp
diff --git a/scribus/scribus.cpp b/scribus/scribus.cpp
index dd20e72d6..239ede923 100644
--- a/scribus/scribus.cpp
+++ b/scribus/scribus.cpp
@@ -231,7 +231,6 @@ for which a new license (GPL+exception) is in place.
 #include "ui/recoverdialog.h"
 #include "ui/replacecolors.h"
 #include "ui/resourcemanager.h"
-#include "ui/sccombobox.h"
 #include "ui/scfilewidget.h"
 #include "ui/scmessagebox.h"
 #include "ui/scmwmenumanager.h"
diff --git a/scribus/ui/annot.cpp b/scribus/ui/annot.cpp
index 55e71f5ff..1f1f358a1 100644
--- a/scribus/ui/annot.cpp
+++ b/scribus/ui/annot.cpp
@@ -42,7 +42,6 @@ for which a new license (GPL+exception) is in place.
 #include "prefscontext.h"
 #include "prefsfile.h"
 #include "prefsmanager.h"
-#include "sccombobox.h"
 #include "scfonts.h"
 #include "scimage.h"
 #include "scribusstructs.h"
diff --git a/scribus/ui/charselectenhanced.ui b/scribus/ui/charselectenhanced.ui
index 3c78e1180..a6045a5e6 100644
--- a/scribus/ui/charselectenhanced.ui
+++ b/scribus/ui/charselectenhanced.ui
@@ -50,7 +50,7 @@
     </widget>
    </item>
    <item row="0" column="4" >
-    <widget class="ScComboBox" name="rangeSelector" />
+    <widget class="QComboBox" name="rangeSelector" />
    </item>
    <item row="0" column="5" >
     <spacer>
@@ -201,11 +201,6 @@ The Insert key inserts a Glyph into the Selection below and the Delete key remov
    <extends>QComboBox</extends>
    <header>ui/fontcombo.h</header>
   </customwidget>
-  <customwidget>
-   <class>ScComboBox</class>
-   <extends>QComboBox</extends>
-   <header>ui/sccombobox.h</header>
-  </customwidget>
   <customwidget>
    <class>CharTableView</class>
    <extends>QTableView</extends>
diff --git a/scribus/ui/checkDocument.cpp b/scribus/ui/checkDocument.cpp
index aaadf6a20..d944d7625 100644
--- a/scribus/ui/checkDocument.cpp
+++ b/scribus/ui/checkDocument.cpp
@@ -6,6 +6,7 @@ for which a new license (GPL+exception) is in place.
 */
 #include "checkDocument.h"
 
+#include <QComboBox>
 #include <QEvent>
 #include <QHBoxLayout>
 #include <QHeaderView>
@@ -23,7 +24,6 @@ for which a new license (GPL+exception) is in place.
 #include "documentchecker.h"
 #include "pdfoptions.h"
 #include "prefsmanager.h"
-#include "sccombobox.h"
 #include "scpage.h"
 #include "scribuscore.h"
 #include "scribusdoc.h"
@@ -60,7 +60,7 @@ CheckDocument::CheckDocument( QWidget* parent, bool modal )
 	layout1->setSpacing(5);
 	textLabel1 = new QLabel( this );
 	layout1->addWidget( textLabel1 );
-	curCheckProfile = new ScComboBox( this );
+	curCheckProfile = new QComboBox( this );
 	layout1->addWidget( curCheckProfile );
 	checkDocumentLayout->addLayout( layout1 );
 
diff --git a/scribus/ui/checkDocument.h b/scribus/ui/checkDocument.h
index a6c433cea..3df08a9d9 100644
--- a/scribus/ui/checkDocument.h
+++ b/scribus/ui/checkDocument.h
@@ -27,7 +27,7 @@ class QVBoxLayout;
 #include "ui/scrpalettebase.h"
 
 class ScribusDoc;
-class ScComboBox;
+class QComboBox;
 class ScPage;
 
 /*! \brief Preflight Verifier GUI (P.V.)
@@ -162,7 +162,7 @@ protected:
 
 	//! \brief Flag if is ignore button shown. true = hidden, false = shown.
 	bool noButton;
-	ScComboBox* curCheckProfile;
+	QComboBox* curCheckProfile;
 	QLabel* textLabel1;
 	QTreeWidget* reportDisplay;
 	QPushButton* ignoreErrors;
diff --git a/scribus/ui/cmykfw.cpp b/scribus/ui/cmykfw.cpp
index 07a5f13a8..5699baf32 100644
--- a/scribus/ui/cmykfw.cpp
+++ b/scribus/ui/cmykfw.cpp
@@ -38,7 +38,6 @@ for which a new license (GPL+exception) is in place.
 #include "colorlistbox.h"
 #include "commonstrings.h"
 #include "sccolorengine.h"
-#include "sccombobox.h"
 #include "scconfig.h"
 #include "scpaths.h"
 #include "scribusdoc.h"
diff --git a/scribus/ui/cmykfwbase.ui b/scribus/ui/cmykfwbase.ui
index d315d17ed..82cc389b5 100644
--- a/scribus/ui/cmykfwbase.ui
+++ b/scribus/ui/cmykfwbase.ui
@@ -74,7 +74,7 @@
       </widget>
      </item>
      <item>
-      <widget class="ScComboBox" name="ComboBox1"/>
+      <widget class="QComboBox" name="ComboBox1"/>
      </item>
      <item>
       <widget class="QCheckBox" name="Separations">
@@ -586,11 +586,6 @@
    <extends>QToolButton</extends>
    <header>ui/swatchcombo.h</header>
   </customwidget>
-  <customwidget>
-   <class>ScComboBox</class>
-   <extends>QComboBox</extends>
-   <header>ui/sccombobox.h</header>
-  </customwidget>
   <customwidget>
    <class>ColorChart</class>
    <extends>QWidget</extends>
diff --git a/scribus/ui/colorcombo.cpp b/scribus/ui/colorcombo.cpp
index 5baea2668..c20d4f929 100644
--- a/scribus/ui/colorcombo.cpp
+++ b/scribus/ui/colorcombo.cpp
@@ -5,9 +5,6 @@ a copyright and/or license notice that predates the release of Scribus 1.3.2
 for which a new license (GPL+exception) is in place.
 */
 /*
- *  sccombobox.h
- *  ScribusCVS
- *
  *  Created by Andreas Vox on 01.10.05.
  *  Copyright 2005 under GPL2. All rights reserved.
  *
diff --git a/scribus/ui/colorpalette.ui b/scribus/ui/colorpalette.ui
index 68558df9b..c75a7ee1d 100644
--- a/scribus/ui/colorpalette.ui
+++ b/scribus/ui/colorpalette.ui
@@ -201,7 +201,7 @@
              <widget class="QWidget" name="page_3">
               <layout class="QVBoxLayout" name="verticalLayout_4">
                <item>
-                <widget class="ScComboBox" name="namedGradient"/>
+                <widget class="QComboBox" name="namedGradient"/>
                </item>
                <item>
                 <widget class="GradientEditor" name="gradEdit">
@@ -889,7 +889,7 @@
             </layout>
            </item>
            <item>
-            <widget class="ScComboBox" name="namedGradientStroke"/>
+            <widget class="QComboBox" name="namedGradientStroke"/>
            </item>
            <item>
             <widget class="GradientEditor" name="gradEditStroke">
@@ -1061,11 +1061,6 @@
    <extends>QDoubleSpinBox</extends>
    <header>ui/scrspinbox.h</header>
   </customwidget>
-  <customwidget>
-   <class>ScComboBox</class>
-   <extends>QComboBox</extends>
-   <header>ui/sccombobox.h</header>
-  </customwidget>
   <customwidget>
    <class>GradientEditor</class>
    <extends>QFrame</extends>
diff --git a/scribus/ui/cpalette.cpp b/scribus/ui/cpalette.cpp
index f98f77589..5e2e895ee 100644
--- a/scribus/ui/cpalette.cpp
+++ b/scribus/ui/cpalette.cpp
@@ -51,7 +51,6 @@ for which a new license (GPL+exception) is in place.
 #include "insertTable.h"
 #include "pageitem.h"
 #include "sccolorengine.h"
-#include "sccombobox.h"
 #include "sclistwidgetdelegate.h"
 #include "scpage.h"
 #include "scpainter.h"
diff --git a/scribus/ui/cpalette.h b/scribus/ui/cpalette.h
index 1ced1e92d..e77a5ca84 100644
--- a/scribus/ui/cpalette.h
+++ b/scribus/ui/cpalette.h
@@ -40,7 +40,6 @@ for which a new license (GPL+exception) is in place.
 class PageItem;
 class ColorListBox;
 class ScrSpinBox;
-class ScComboBox;
 class ScPattern;
 class UndoManager;
 
diff --git a/scribus/ui/customfdialog.cpp b/scribus/ui/customfdialog.cpp
index 9254f71e9..fae4c92f6 100644
--- a/scribus/ui/customfdialog.cpp
+++ b/scribus/ui/customfdialog.cpp
@@ -47,7 +47,6 @@ for which a new license (GPL+exception) is in place.
 #include "iconmanager.h"
 #include "loadsaveplugin.h"
 #include "prefsmanager.h"
-#include "sccombobox.h"
 #include "scfilewidget.h"
 #include "scimage.h"
 #include "scpreview.h"
@@ -408,7 +407,7 @@ CustomFDialog::CustomFDialog(QWidget *parent, const QString& wDir, const QString
 			optionLabel = new QLabel(this);
 			optionLabel->setText( tr("Encoding:"));
 			Layout1C->addWidget(optionLabel);
-			optionCombo = new ScComboBox(LayoutC);
+			optionCombo = new QComboBox(LayoutC);
 			optionCombo->setEditable(false);
 			QString tmp_txc[] = {"ISO 8859-1", "ISO 8859-2", "ISO 8859-3",
 								"ISO 8859-4", "ISO 8859-5", "ISO 8859-6",
@@ -454,7 +453,7 @@ CustomFDialog::CustomFDialog(QWidget *parent, const QString& wDir, const QString
 			optionLabel = new QLabel(this);
 			optionLabel->setText( tr("Import Option:"));
 			Layout1C->addWidget(optionLabel);
-			optionCombo = new ScComboBox(LayoutC);
+			optionCombo = new QComboBox(LayoutC);
 			optionCombo->setEditable(false);
 			optionCombo->addItem( tr("Keep original size"));
 			optionCombo->addItem( tr("Downscale to page size"));
diff --git a/scribus/ui/effectsdialog.cpp b/scribus/ui/effectsdialog.cpp
index 6eea7de1b..868d74c65 100644
--- a/scribus/ui/effectsdialog.cpp
+++ b/scribus/ui/effectsdialog.cpp
@@ -29,7 +29,6 @@ for which a new license (GPL+exception) is in place.
 #include "curvewidget.h"
 #include "iconmanager.h"
 #include "scclocale.h"
-#include "sccombobox.h"
 #include "scpage.h"
 #include "scribusdoc.h"
 #include "scrspinbox.h"
diff --git a/scribus/ui/extimageprops.cpp b/scribus/ui/extimageprops.cpp
index 4dcdf716b..811e5a2e8 100644
--- a/scribus/ui/extimageprops.cpp
+++ b/scribus/ui/extimageprops.cpp
@@ -13,6 +13,7 @@ for which a new license (GPL+exception) is in place.
 #include <QTabWidget>
 #include <QLabel>
 #include <QCheckBox>
+#include <QComboBox>
 #include <QPushButton>
 #include <QToolTip>
 #include <QPainter>
@@ -24,7 +25,6 @@ for which a new license (GPL+exception) is in place.
 
 #include "commonstrings.h"
 #include "pageitem.h"
-#include "sccombobox.h"
 #include "scpainter.h"
 #include "scribusdoc.h"
 #include "scribusview.h"
@@ -111,7 +111,7 @@ ExtImageProps::ExtImageProps( QWidget* parent, ImageInfoRecord *info, PageItem *
 		textLabel1 = new QLabel( tab );
 		textLabel1->setText( tr( "Blend Mode:" ) );
 		layout1->addWidget( textLabel1 );
-		blendMode = new ScComboBox( tab );
+		blendMode = new QComboBox( tab );
 		blendMode->clear();
 		blendMode->addItem( tr("Normal"));
 		blendMode->addItem( tr("Darken"));
diff --git a/scribus/ui/fontcombo.cpp b/scribus/ui/fontcombo.cpp
index 690782e3f..9ec332b3f 100644
--- a/scribus/ui/fontcombo.cpp
+++ b/scribus/ui/fontcombo.cpp
@@ -34,7 +34,6 @@ for which a new license (GPL+exception) is in place.
 #include "fontcombo.h"
 #include "iconmanager.h"
 #include "prefsmanager.h"
-#include "sccombobox.h"
 #include "scpage.h"
 #include "scribusapp.h"
 #include "scribusdoc.h"
@@ -125,13 +124,13 @@ FontComboH::FontComboH(QWidget* parent, bool labels) :
 		fontComboLayout->setColumnStretch(1,10);
 		col=1;
 	}
-	fontFamily = new ScComboBox(this);
+	fontFamily = new QComboBox(this);
 	fontFamily->setEditable(true);
 	fontFamily->setValidator(new FontComboValidator(fontFamily));
 	fontFamily->setInsertPolicy(QComboBox::NoInsert);
 	fontFamily->setItemDelegate(new FontFamilyDelegate(this));
 	fontComboLayout->addWidget(fontFamily,0,col);
-	fontStyle = new ScComboBox(this);
+	fontStyle = new QComboBox(this);
 	fontComboLayout->addWidget(fontStyle,1,col);
 	isForAnnotation = true;  // this is merely to ensure that the list is rebuilt
 	rebuildList(nullptr);
diff --git a/scribus/ui/gtdialogs.cpp b/scribus/ui/gtdialogs.cpp
index 92a471313..c098f6778 100644
--- a/scribus/ui/gtdialogs.cpp
+++ b/scribus/ui/gtdialogs.cpp
@@ -30,7 +30,6 @@ for which a new license (GPL+exception) is in place.
 #include "prefscontext.h"
 #include "prefsfile.h"
 #include "prefsmanager.h"
-#include "sccombobox.h"
 #include "ui/gtfiledialog.h"
 
 #include <QFileInfo>
@@ -73,7 +72,7 @@ gtImporterDialog::gtImporterDialog(const QString& fileName, const QStringList& i
 	QBoxLayout* ilayout = new QHBoxLayout;
 	ilayout->setMargin(5);
 	ilayout->setSpacing(5);
-	importerCombo = new ScComboBox(this);
+	importerCombo = new QComboBox(this);
 	importerCombo->setMinimumSize(QSize(150, 0));
 	importerCombo->setToolTip( tr("Choose the importer to use"));
 	importerCombo->addItems(importers);
diff --git a/scribus/ui/gtfiledialog.ui b/scribus/ui/gtfiledialog.ui
index 83fed41da..af8980e62 100644
--- a/scribus/ui/gtfiledialog.ui
+++ b/scribus/ui/gtfiledialog.ui
@@ -28,7 +28,7 @@
     </widget>
    </item>
    <item row="1" column="1">
-    <widget class="ScComboBox" name="importerCombo"/>
+    <widget class="QComboBox" name="importerCombo"/>
    </item>
    <item row="1" column="2">
     <widget class="QCheckBox" name="textOnlyCheckBox">
@@ -48,7 +48,7 @@
     </widget>
    </item>
    <item row="2" column="1">
-    <widget class="ScComboBox" name="encodingCombo"/>
+    <widget class="QComboBox" name="encodingCombo"/>
    </item>
    <item row="2" column="2">
     <widget class="QCheckBox" name="prefixStylesCheckBox">
@@ -79,11 +79,6 @@
    <header>ui/scfilewidget.h</header>
    <container>1</container>
   </customwidget>
-  <customwidget>
-   <class>ScComboBox</class>
-   <extends>QComboBox</extends>
-   <header>ui/sccombobox.h</header>
-  </customwidget>
  </customwidgets>
  <resources/>
  <connections/>
diff --git a/scribus/ui/layers.cpp b/scribus/ui/layers.cpp
index 9b2b75e98..20e27eaeb 100644
--- a/scribus/ui/layers.cpp
+++ b/scribus/ui/layers.cpp
@@ -17,6 +17,7 @@ for which a new license (GPL+exception) is in place.
 
 #include <QCheckBox>
 #include <QColorDialog>
+#include <QComboBox>
 #include <QEvent>
 #include <QHBoxLayout>
 #include <QHeaderView>
@@ -32,7 +33,6 @@ for which a new license (GPL+exception) is in place.
 #include <QVBoxLayout>
 
 #include "iconmanager.h"
-#include "sccombobox.h"
 #include "scribus.h"
 #include "scribusdoc.h"
 #include "selection.h"
@@ -54,7 +54,7 @@ LayerPalette::LayerPalette(QWidget* parent) : ScDockPalette( parent, "Layers", n
 	layout1->setSpacing(2);
 	textLabel1 = new QLabel( this);
 	layout1->addWidget( textLabel1 );
-	blendMode = new ScComboBox( this);
+	blendMode = new QComboBox( this);
 	layout1->addWidget( blendMode );
 	textLabel2 = new QLabel( this);
 	textLabel2->setText( tr( "Opacity:" ) );
diff --git a/scribus/ui/layers.h b/scribus/ui/layers.h
index 84f212ce1..bbca91b73 100644
--- a/scribus/ui/layers.h
+++ b/scribus/ui/layers.h
@@ -15,6 +15,7 @@ for which a new license (GPL+exception) is in place.
 #include "sclayer.h"
 
 class CheckBox;
+class QComboBox;
 class QEvent;
 class QHBoxLayout;
 class QHeaderView;
@@ -24,7 +25,6 @@ class QTableWidget;
 class QTableWidgetItem;
 class QToolButton;
 class QVBoxLayout;
-class ScComboBox;
 class ScrSpinBox;
 class ScribusDoc;
 
@@ -76,7 +76,7 @@ protected:
 	QHBoxLayout* Layout1;
 	QHBoxLayout* layout1;
 	QLabel* textLabel1;
-	ScComboBox* blendMode;
+	QComboBox* blendMode;
 	QLabel* textLabel2;
 	ScrSpinBox* opacitySpinBox;
 	QHeaderView* Header;
diff --git a/scribus/ui/mergedoc.cpp b/scribus/ui/mergedoc.cpp
index 9ca677d83..76ab6197b 100644
--- a/scribus/ui/mergedoc.cpp
+++ b/scribus/ui/mergedoc.cpp
@@ -11,13 +11,13 @@ for which a new license (GPL+exception) is in place.
 #include "mergedoc.h"
 #include "prefsfile.h"
 #include "prefsmanager.h"
-#include "sccombobox.h"
 #include "scconfig.h"
 #include "scpaths.h"
 #include "ui/customfdialog.h"
 
 #include <QApplication>
 #include <QCheckBox>
+#include <QComboBox>
 #include <QCursor>
 #include <QDir>
 #include <QGridLayout>
@@ -65,7 +65,7 @@ MergeDoc::MergeDoc(QWidget* parent, bool importMasterPages, int targetDocPageCou
 	if (masterPages)
 	{
 		importPageLabel->setText( tr("&Import Master Page") );
-		masterPageNameData = new ScComboBox(this);
+		masterPageNameData = new QComboBox(this);
 		masterPageNameData->setEnabled(false);
 		importPageLabel->setBuddy( masterPageNameData );
 		fromInfoLayout->addWidget( masterPageNameData, 1, 1, 1, 2);
@@ -85,7 +85,7 @@ MergeDoc::MergeDoc(QWidget* parent, bool importMasterPages, int targetDocPageCou
 		createPageData = new QCheckBox( this );
 		createPageData->setText( tr("Create Page(s)"));
 		fromInfoLayout->addWidget( createPageData, 2, 0 );
-		importWhereData = new ScComboBox( this );
+		importWhereData = new QComboBox( this );
 		importWhereData->setEnabled(false);
 		importWhereData->addItem( tr("Before Page"));
 		importWhereData->addItem( tr("After Page"));
diff --git a/scribus/ui/mergedoc.h b/scribus/ui/mergedoc.h
index c0b11202d..f46bdc27f 100644
--- a/scribus/ui/mergedoc.h
+++ b/scribus/ui/mergedoc.h
@@ -10,6 +10,7 @@ for which a new license (GPL+exception) is in place.
 #include <QDialog>
 #include "scribusapi.h"
 class QPushButton;
+class QComboBox;
 class QLabel;
 class QLineEdit;
 class QSpinBox;
@@ -18,7 +19,6 @@ class QCheckBox;
 class QVBoxLayout;
 class QHBoxLayout;
 class QGridLayout;
-class ScComboBox;
 
 
 class SCRIBUS_API MergeDoc : public QDialog
@@ -48,8 +48,8 @@ private:
 	QPushButton* cancelButton;
 	QPushButton* changeButton;
 	QCheckBox* createPageData;
-	ScComboBox* masterPageNameData;
-	ScComboBox* importWhereData;
+	QComboBox* masterPageNameData;
+	QComboBox* importWhereData;
 	QSpinBox* importWherePageData;
 	QVBoxLayout* dialogLayout;
 	QGridLayout* fromInfoLayout;
diff --git a/scribus/ui/newfile.cpp b/scribus/ui/newfile.cpp
index 99f3ef092..7de4c5594 100644
--- a/scribus/ui/newfile.cpp
+++ b/scribus/ui/newfile.cpp
@@ -13,6 +13,7 @@ for which a new license (GPL+exception) is in place.
 
 #include <QDir>
 #include <QCheckBox>
+#include <QComboBox>
 #include <QFileDialog>
 #include <QFrame>
 #include <QGroupBox>
@@ -39,7 +40,6 @@ for which a new license (GPL+exception) is in place.
 #include "pagestructs.h"
 #include "prefsfile.h"
 #include "prefsmanager.h"
-#include "sccombobox.h"
 #include "filedialogeventcatcher.h"
 #include "scrspinbox.h"
 #include "units.h"
@@ -291,7 +291,7 @@ void NewDoc::createNewDocPage()
 
 	layoutLabel1 = new QLabel( optionsGroupBox );
 	layoutLabel1->setText( tr( "First Page is:" ) );
-	firstPage = new ScComboBox( optionsGroupBox );
+	firstPage = new QComboBox( optionsGroupBox );
 	firstPage->clear();
 	selectItem(prefsManager.appPrefs.docSetupPrefs.pagePositioning);
 	optionsGroupBoxLayout->addRow( layoutLabel1, firstPage );
diff --git a/scribus/ui/newfile.h b/scribus/ui/newfile.h
index f609b3bbf..4485f5d69 100644
--- a/scribus/ui/newfile.h
+++ b/scribus/ui/newfile.h
@@ -33,7 +33,6 @@ class QPushButton;
 class PrefsManager;
 class MarginWidget;
 class ScrSpinBox;
-class ScComboBox;
 class QFileDialog;
 
 class SCRIBUS_API PageLayoutsWidget : public QListWidget
@@ -75,7 +74,7 @@ public:
 	QFrame* newDocFrame;
 	PageLayoutsWidget* layoutsView;
 	QLabel* layoutLabel1;
-	ScComboBox* firstPage;
+	QComboBox* firstPage;
 	QGroupBox* pageSizeGroupBox;
 	MarginWidget* marginGroup;
 	QGroupBox* optionsGroupBox;
diff --git a/scribus/ui/pagelayout.cpp b/scribus/ui/pagelayout.cpp
index c38621c81..8acb559d2 100644
--- a/scribus/ui/pagelayout.cpp
+++ b/scribus/ui/pagelayout.cpp
@@ -6,13 +6,13 @@ for which a new license (GPL+exception) is in place.
 */
 #include "pagelayout.h"
 
+#include <QComboBox>
 #include <QVBoxLayout>
 #include <QListWidgetItem>
 #include <QLabel>
 #include <QPixmap>
 #include <QList>
 
-#include "sccombobox.h"
 #include "commonstrings.h"
 #include "iconmanager.h"
 
@@ -75,12 +75,12 @@ PageLayouts::PageLayouts(QWidget* parent)  : QGroupBox( parent )
 	layoutGroupLayout->setSpacing( 5 );
 	layoutGroupLayout->setMargin( 10 );
 
-	layoutsCombo = new ScComboBox( this );
+	layoutsCombo = new QComboBox( this );
 	layoutGroupLayout->addWidget( layoutsCombo );
 
 	layoutLabel1 = new QLabel( this );
 	layoutGroupLayout->addWidget( layoutLabel1 );
-	firstPage = new ScComboBox( this );
+	firstPage = new QComboBox( this );
 	layoutGroupLayout->addWidget( firstPage );
 
 	languageChange();
@@ -103,12 +103,12 @@ PageLayouts::PageLayouts(QWidget* parent, const QList<PageSet>& pSets, bool mode
 	}
 	else
 	{
-		layoutsCombo = new ScComboBox( this );
+		layoutsCombo = new QComboBox( this );
 		layoutGroupLayout->addWidget( layoutsCombo );
 	}
 	layoutLabel1 = new QLabel( this );
 	layoutGroupLayout->addWidget( layoutLabel1 );
-	firstPage = new ScComboBox( this );
+	firstPage = new QComboBox( this );
 	layoutGroupLayout->addWidget( firstPage );
 	languageChange();
 // 	We need change combos width setMaximumWidth(minimumSizeHint().width());
diff --git a/scribus/ui/pagelayout.h b/scribus/ui/pagelayout.h
index 805d1badf..aa87b6366 100644
--- a/scribus/ui/pagelayout.h
+++ b/scribus/ui/pagelayout.h
@@ -10,14 +10,13 @@ for which a new license (GPL+exception) is in place.
 #include <QGroupBox>
 #include <QListWidget>
 #include <QList>
+class QComboBox;
 class QVBoxLayout;
 class QListWidgetItem;
 class QLabel;
 
 #include "scribusapi.h"
 #include "scribusstructs.h"
-class ScComboBox;
-
 
 /*! \brief A widget containing pages layout schema */
 class SCRIBUS_API PageListWidget : public QListWidget
@@ -47,9 +46,9 @@ public:
 	void selectFirstP(int nr);
 	void selectItem(uint nr);
 	PageListWidget* layoutsView;
-	ScComboBox* layoutsCombo;
+	QComboBox* layoutsCombo;
 	QLabel* layoutLabel1;
-	ScComboBox* firstPage;
+	QComboBox* firstPage;
 	QList<PageSet> pageSets;
 
 public slots:
diff --git a/scribus/ui/pagepalette.cpp b/scribus/ui/pagepalette.cpp
index ec82147ae..8fbc97226 100644
--- a/scribus/ui/pagepalette.cpp
+++ b/scribus/ui/pagepalette.cpp
@@ -19,7 +19,6 @@ for which a new license (GPL+exception) is in place.
 #include "pagepalette_masterpages.h"
 #include "pagepalette_pages.h"
 #include "pagepalette_widgets.h"
-#include "sccombobox.h"
 #include "scpage.h"
 #include "scribus.h"
 #include "scribusdoc.h"
diff --git a/scribus/ui/pagepalette_pages.cpp b/scribus/ui/pagepalette_pages.cpp
index 0d18d73ba..31383dd34 100644
--- a/scribus/ui/pagepalette_pages.cpp
+++ b/scribus/ui/pagepalette_pages.cpp
@@ -24,7 +24,6 @@ for which a new license (GPL+exception) is in place.
 #include "pagelayout.h"
 #include "pagepalette_pages.h"
 #include "pagepalette_widgets.h"
-#include "sccombobox.h"
 #include "scpage.h"
 #include "scribuscore.h"
 #include "scribusdoc.h"
diff --git a/scribus/ui/pagepalette_widgets.cpp b/scribus/ui/pagepalette_widgets.cpp
index f3c9ed444..eb029e1ec 100644
--- a/scribus/ui/pagepalette_widgets.cpp
+++ b/scribus/ui/pagepalette_widgets.cpp
@@ -22,7 +22,6 @@ for which a new license (GPL+exception) is in place.
 #include "iconmanager.h"
 #include "pagelayout.h"
 #include "pagepalette_widgets.h"
-#include "sccombobox.h"
 #include "scpage.h"
 #include "ui/scmessagebox.h"
 
diff --git a/scribus/ui/prefs_fonts.cpp b/scribus/ui/prefs_fonts.cpp
index 7c08b2437..2ed6169c1 100644
--- a/scribus/ui/prefs_fonts.cpp
+++ b/scribus/ui/prefs_fonts.cpp
@@ -9,6 +9,7 @@ for which a new license (GPL+exception) is in place.
 #include "prefsstructs.h"
 
 
+#include <QComboBox>
 #include <QListWidget>
 #include <QListWidgetItem>
 #include <QTreeWidget>
@@ -25,7 +26,6 @@ for which a new license (GPL+exception) is in place.
 
 #include "prefscontext.h"
 #include "prefsfile.h"
-#include "sccombobox.h"
 #include "scribuscore.h"
 #include "scribusdoc.h"
 #include "prefsmanager.h"
@@ -200,7 +200,7 @@ void Prefs_Fonts::restoreDefaults(struct ApplicationPrefs *prefsData)
 		QTableWidgetItem* tWidgetItem = new QTableWidgetItem(itfsu.key());
 		tWidgetItem->setFlags(tWidgetItem->flags() & ~Qt::ItemIsEditable);
 		fontSubstitutionsTableWidget->setItem(a, 0, tWidgetItem);
-		ScComboBox *item = new ScComboBox(fontSubstitutionsTableWidget);
+		auto item = new QComboBox(fontSubstitutionsTableWidget);
 		fontSubstitutionsTableWidget->setCellWidget(a, 1, item);
 		item->setEditable(false);
 		item->addItem(itfsu.value());
diff --git a/scribus/ui/prefs_fonts.h b/scribus/ui/prefs_fonts.h
index 1cc702f15..627368af7 100644
--- a/scribus/ui/prefs_fonts.h
+++ b/scribus/ui/prefs_fonts.h
@@ -16,7 +16,7 @@ for which a new license (GPL+exception) is in place.
 #include "scribusapi.h"
 
 class ScribusDoc;
-class ScComboBox;
+class QComboBox;
 
 class SCRIBUS_API Prefs_Fonts : public Prefs_Pane, Ui::Prefs_Fonts
 {
@@ -47,7 +47,7 @@ class SCRIBUS_API Prefs_Fonts : public Prefs_Pane, Ui::Prefs_Fonts
 		void updateRejectedFontList();
 
 		QMap<QString,QString> RList;
-		QList<ScComboBox*> FlagsRepl;
+		QList<QComboBox*> FlagsRepl;
 		//! List of font names of allowed fonts for substitutions
 		QStringList UsedFonts;
 		QString CurrentPath;
diff --git a/scribus/ui/propertiespalette_group.cpp b/scribus/ui/propertiespalette_group.cpp
index da411a6ca..8442fa15b 100644
--- a/scribus/ui/propertiespalette_group.cpp
+++ b/scribus/ui/propertiespalette_group.cpp
@@ -50,7 +50,6 @@ for which a new license (GPL+exception) is in place.
 #include "appmodes.h"
 #include "commonstrings.h"
 #include "iconmanager.h"
-#include "sccombobox.h"
 #include "scraction.h"
 #include "scribuscore.h"
 #include "scribusview.h"
diff --git a/scribus/ui/propertiespalette_image.cpp b/scribus/ui/propertiespalette_image.cpp
index d3ac2e8d4..80d3d8cf0 100644
--- a/scribus/ui/propertiespalette_image.cpp
+++ b/scribus/ui/propertiespalette_image.cpp
@@ -18,7 +18,6 @@ for which a new license (GPL+exception) is in place.
 #include "pageitem.h"
 #include "propertiespalette_utils.h"
 #include "sccolorengine.h"
-#include "sccombobox.h"
 #include "scribuscore.h"
 #include "scraction.h"
 #include "scribusview.h"
diff --git a/scribus/ui/propertiespalette_line.cpp b/scribus/ui/propertiespalette_line.cpp
index 5c7a70f67..b0927ae16 100644
--- a/scribus/ui/propertiespalette_line.cpp
+++ b/scribus/ui/propertiespalette_line.cpp
@@ -20,7 +20,6 @@ for which a new license (GPL+exception) is in place.
 #include "pageitem.h"
 #include "pageitem_textframe.h"
 #include "sccolorengine.h"
-#include "sccombobox.h"
 #include "scraction.h"
 #include "scribuscore.h"
 #include "selection.h"
diff --git a/scribus/ui/propertiespalette_linebase.ui b/scribus/ui/propertiespalette_linebase.ui
index f86bd4950..368aaa1af 100644
--- a/scribus/ui/propertiespalette_linebase.ui
+++ b/scribus/ui/propertiespalette_linebase.ui
@@ -22,7 +22,7 @@
     </widget>
    </item>
    <item row="0" column="2" colspan="2">
-    <widget class="ScComboBox" name="lineMode"/>
+    <widget class="QComboBox" name="lineMode"/>
    </item>
    <item row="1" column="0" colspan="2">
     <widget class="QLabel" name="lineTypeLabel">
@@ -123,7 +123,7 @@
     </widget>
    </item>
    <item row="7" column="2" colspan="2">
-    <widget class="ScComboBox" name="lineJoinStyle"/>
+    <widget class="QComboBox" name="lineJoinStyle"/>
    </item>
    <item row="8" column="0">
     <widget class="QLabel" name="lineEndLabel">
@@ -133,7 +133,7 @@
     </widget>
    </item>
    <item row="8" column="2" colspan="2">
-    <widget class="ScComboBox" name="lineEndStyle"/>
+    <widget class="QComboBox" name="lineEndStyle"/>
    </item>
    <item row="9" column="0" colspan="4">
     <widget class="QListWidget" name="lineStyles"/>
@@ -146,11 +146,6 @@
    <extends>QDoubleSpinBox</extends>
    <header>ui/scrspinbox.h</header>
   </customwidget>
-  <customwidget>
-   <class>ScComboBox</class>
-   <extends>QComboBox</extends>
-   <header>ui/sccombobox.h</header>
-  </customwidget>
   <customwidget>
    <class>LineCombo</class>
    <extends>QComboBox</extends>
diff --git a/scribus/ui/propertiespalette_shadowbase.ui b/scribus/ui/propertiespalette_shadowbase.ui
index f0e894823..fd6f8cf12 100644
--- a/scribus/ui/propertiespalette_shadowbase.ui
+++ b/scribus/ui/propertiespalette_shadowbase.ui
@@ -106,7 +106,7 @@
       </widget>
      </item>
      <item row="5" column="1">
-      <widget class="ScComboBox" name="softShadowBlendMode">
+      <widget class="QComboBox" name="softShadowBlendMode">
        <item>
         <property name="text">
          <string>Normal</string>
@@ -235,11 +235,6 @@
    <extends>QDoubleSpinBox</extends>
    <header>ui/scrspinbox.h</header>
   </customwidget>
-  <customwidget>
-   <class>ScComboBox</class>
-   <extends>QComboBox</extends>
-   <header>ui/sccombobox.h</header>
-  </customwidget>
   <customwidget>
    <class>ColorCombo</class>
    <extends>QComboBox</extends>
diff --git a/scribus/ui/propertiespalette_shape.cpp b/scribus/ui/propertiespalette_shape.cpp
index 214c03fbf..6a983ae6d 100644
--- a/scribus/ui/propertiespalette_shape.cpp
+++ b/scribus/ui/propertiespalette_shape.cpp
@@ -21,7 +21,6 @@ for which a new license (GPL+exception) is in place.
 #include "pageitem_textframe.h"
 #include "polyprops.h"
 #include "sccolorengine.h"
-#include "sccombobox.h"
 #include "scraction.h"
 #include "scribuscore.h"
 #include "scribusdoc.h"
diff --git a/scribus/ui/propertiespalette_text.cpp b/scribus/ui/propertiespalette_text.cpp
index 14d917bd1..44bb59395 100644
--- a/scribus/ui/propertiespalette_text.cpp
+++ b/scribus/ui/propertiespalette_text.cpp
@@ -34,7 +34,6 @@ for which a new license (GPL+exception) is in place.
 #include "propertywidget_pareffect.h"
 #include "propertywidget_pathtext.h"
 #include "propertywidget_textcolor.h"
-#include "sccombobox.h"
 #include "scfonts.h"
 #include "scraction.h"
 #include "scribuscore.h"
diff --git a/scribus/ui/propertiespalette_utils.cpp b/scribus/ui/propertiespalette_utils.cpp
index b28398948..c8537e9f5 100644
--- a/scribus/ui/propertiespalette_utils.cpp
+++ b/scribus/ui/propertiespalette_utils.cpp
@@ -29,7 +29,6 @@ for which a new license (GPL+exception) is in place.
 #include <cmath>
 #include "commonstrings.h"
 #include "sccolorengine.h"
-#include "sccombobox.h"
 #include "scraction.h"
 #include "scribusdoc.h"
 #include "selection.h"
diff --git a/scribus/ui/propertiespalette_xyz.cpp b/scribus/ui/propertiespalette_xyz.cpp
index 4eb8a45ed..53f0c9452 100644
--- a/scribus/ui/propertiespalette_xyz.cpp
+++ b/scribus/ui/propertiespalette_xyz.cpp
@@ -28,7 +28,6 @@ for which a new license (GPL+exception) is in place.
 #include "pageitem_spiral.h"
 #include "pageitem_textframe.h"
 #include "propertiespalette_utils.h"
-#include "sccombobox.h"
 
 #include "scribuscore.h"
 #include "scraction.h"
diff --git a/scribus/ui/propertywidget_distancebase.ui b/scribus/ui/propertywidget_distancebase.ui
index 2353ae1a8..0d42d926b 100644
--- a/scribus/ui/propertywidget_distancebase.ui
+++ b/scribus/ui/propertywidget_distancebase.ui
@@ -82,7 +82,7 @@
     </widget>
    </item>
    <item row="2" column="0">
-    <widget class="ScComboBox" name="columnGapLabel">
+    <widget class="QComboBox" name="columnGapLabel">
      <property name="toolTip">
       <string>Switches between Gap or Column width</string>
      </property>
@@ -185,11 +185,6 @@
    <extends>QDoubleSpinBox</extends>
    <header>ui/scrspinbox.h</header>
   </customwidget>
-  <customwidget>
-   <class>ScComboBox</class>
-   <extends>QComboBox</extends>
-   <header>ui/sccombobox.h</header>
-  </customwidget>
  </customwidgets>
  <resources/>
  <connections/>
diff --git a/scribus/ui/propertywidget_pathtextbase.ui b/scribus/ui/propertywidget_pathtextbase.ui
index e8f30c036..462e440af 100644
--- a/scribus/ui/propertywidget_pathtextbase.ui
+++ b/scribus/ui/propertywidget_pathtextbase.ui
@@ -34,7 +34,7 @@
     </widget>
    </item>
    <item row="0" column="1">
-    <widget class="ScComboBox" name="pathTextType"/>
+    <widget class="QComboBox" name="pathTextType"/>
    </item>
    <item row="1" column="0">
     <widget class="QLabel" name="startOffsetLabel">
@@ -78,11 +78,6 @@
    <extends>QDoubleSpinBox</extends>
    <header>ui/scrspinbox.h</header>
   </customwidget>
-  <customwidget>
-   <class>ScComboBox</class>
-   <extends>QComboBox</extends>
-   <header>ui/sccombobox.h</header>
-  </customwidget>
  </customwidgets>
  <resources/>
  <connections/>
diff --git a/scribus/ui/proptree.cpp b/scribus/ui/proptree.cpp
index 8919c5cad..6841a777b 100644
--- a/scribus/ui/proptree.cpp
+++ b/scribus/ui/proptree.cpp
@@ -22,6 +22,7 @@ for which a new license (GPL+exception) is in place.
  ***************************************************************************/
 
 #include <QAbstractItemModel>
+#include <QComboBox>
 #include <QStyle>
 #include <QPainter>
 #include <QHeaderView>
@@ -31,7 +32,6 @@ for which a new license (GPL+exception) is in place.
 
 #include "colorcombo.h"
 #include "scrspinbox.h"
-#include "sccombobox.h"
 #include <QCheckBox>
 #include <QApplication>
 #include "units.h"
@@ -140,7 +140,7 @@ QWidget *PropTreeItemDelegate::createEditor(QWidget *parent, const QStyleOptionV
 	}
 	else if (item->m_type == PropTreeItem::ComboBox)
 	{
-		ScComboBox *editor = new ScComboBox(parent);
+		auto editor = new QComboBox(parent);
 		editor->addItems(index.model()->data(index, Qt::UserRole+1).toStringList());
 		edito = editor;
 		edito->setAutoFillBackground(true);
@@ -189,7 +189,7 @@ void PropTreeItemDelegate::setEditorData(QWidget *editor, const QModelIndex &ind
 	}
 	else if (item->m_type == PropTreeItem::ComboBox)
 	{
-		ScComboBox *comboBox = static_cast<ScComboBox*>(editor);
+		auto comboBox = static_cast<QComboBox*>(editor);
 		setCurrentComboItem(comboBox ,index.model()->data(index, Qt::UserRole).toString());
 	}
 	else if (item->m_type == PropTreeItem::CheckBox)
@@ -227,7 +227,7 @@ void PropTreeItemDelegate::setModelData(QWidget *editor, QAbstractItemModel *mod
 	}
 	else if (item->m_type == PropTreeItem::ComboBox)
 	{
-		ScComboBox *comboBox = static_cast<ScComboBox*>(editor);
+		auto comboBox = static_cast<QComboBox*>(editor);
 		QString value = comboBox->currentText();
 		int val = comboBox->currentIndex();
 		item->m_comboIndex = val;
diff --git a/scribus/ui/smsccombobox.cpp b/scribus/ui/smsccombobox.cpp
index 3fd832a11..8846be696 100644
--- a/scribus/ui/smsccombobox.cpp
+++ b/scribus/ui/smsccombobox.cpp
@@ -9,7 +9,7 @@ for which a new license (GPL+exception) is in place.
 
 
 SMScComboBox::SMScComboBox(QWidget *parent)
-: ScComboBox(parent),
+: QComboBox(parent),
   m_hasParent(false),
   m_useParentValue(false),
   m_pItem(0)
@@ -23,7 +23,7 @@ void SMScComboBox::setCurrentItem(int i)
 	setFont(false);
 	m_hasParent = false;
 	m_pItem = 0;
-	ScComboBox::setCurrentIndex(i);
+	QComboBox::setCurrentIndex(i);
 }
 
 void SMScComboBox::setCurrentItem(int i, bool isParentValue)
@@ -38,7 +38,7 @@ void SMScComboBox::setCurrentItem(int i, bool isParentValue)
 		addItem( tr("Use Parent Value"));
 	}
 
-	ScComboBox::setCurrentIndex(i);
+	QComboBox::setCurrentIndex(i);
 	connect(this, SIGNAL(highlighted(int)), this, SLOT(currentChanged()));
 }
 
@@ -51,7 +51,7 @@ void SMScComboBox::setCurrentItemByData(int i)
 	for (int idx(0); idx < count(); ++idx)
 	{
 		if (itemData(idx).toInt() == i)
-			ScComboBox::setCurrentIndex(idx);
+			QComboBox::setCurrentIndex(idx);
 	}
 	connect(this, SIGNAL(highlighted(int)), this, SLOT(currentChanged()));
 }
@@ -71,7 +71,7 @@ void SMScComboBox::setCurrentItemByData(int i, bool isParentValue)
 	{
 		if (itemData(idx).toInt() == i)
 		{
-			ScComboBox::setCurrentIndex(idx);
+			QComboBox::setCurrentIndex(idx);
 			m_pItem = idx;
 		}
 	}
@@ -87,7 +87,7 @@ void SMScComboBox::setCurrentItemByData(double d)
 	for (int idx(0); idx < count(); ++idx)
 	{
 		if (itemData(idx).toDouble() == d)
-			ScComboBox::setCurrentIndex(idx);
+			QComboBox::setCurrentIndex(idx);
 	}
 	connect(this, SIGNAL(highlighted(int)), this, SLOT(currentChanged()));
 }
@@ -107,7 +107,7 @@ void SMScComboBox::setCurrentItemByData(double d, bool isParentValue)
 	{
 		if (itemData(idx).toDouble() == d)
 		{
-			ScComboBox::setCurrentIndex(idx);
+			QComboBox::setCurrentIndex(idx);
 			m_pItem = idx;
 		}
 	}
@@ -169,7 +169,7 @@ void SMScComboBox::setFont(bool wantBold)
 {
 	QFont f(font());
 	f.setBold(wantBold);
-	ScComboBox::setFont(f);
+	QComboBox::setFont(f);
 }
 
 void SMScComboBox::currentChanged()
diff --git a/scribus/ui/smsccombobox.h b/scribus/ui/smsccombobox.h
index 15c0d3fc2..c12709ff9 100644
--- a/scribus/ui/smsccombobox.h
+++ b/scribus/ui/smsccombobox.h
@@ -7,10 +7,9 @@ for which a new license (GPL+exception) is in place.
 #ifndef SMSCCOMBOBOX_H
 #define SMSCCOMBOBOX_H
 
-#include "sccombobox.h"
+#include <QComboBox>
 
-
-class SMScComboBox  : public ScComboBox
+class SMScComboBox  : public QComboBox
 {
 	Q_OBJECT
 public:
diff --git a/scribus/ui/smtextstyles.cpp b/scribus/ui/smtextstyles.cpp
index 6e9826067..2520c5846 100644
--- a/scribus/ui/smtextstyles.cpp
+++ b/scribus/ui/smtextstyles.cpp
@@ -16,7 +16,6 @@ for which a new license (GPL+exception) is in place.
 #include "langmgr.h"
 #include "ui/scmwmenumanager.h"
 #include "prefsmanager.h"
-#include "sccombobox.h"
 #include "scribus.h"
 #include "scribusdoc.h"
 #include "scrspinbox.h"
diff --git a/scribus/ui/transparencypalette.ui b/scribus/ui/transparencypalette.ui
index 148fe4d7e..680b5cf8f 100644
--- a/scribus/ui/transparencypalette.ui
+++ b/scribus/ui/transparencypalette.ui
@@ -118,7 +118,7 @@
           </widget>
          </item>
          <item row="1" column="1">
-          <widget class="ScComboBox" name="blendModeStroke">
+          <widget class="QComboBox" name="blendModeStroke">
            <item>
             <property name="text">
              <string>Normal</string>
@@ -346,7 +346,7 @@
             </widget>
            </item>
            <item>
-            <widget class="ScComboBox" name="namedGradient"/>
+            <widget class="QComboBox" name="namedGradient"/>
            </item>
            <item>
             <widget class="QCheckBox" name="transpCalcGradient">
@@ -439,7 +439,7 @@
           </widget>
          </item>
          <item>
-          <widget class="ScComboBox" name="blendModeFill">
+          <widget class="QComboBox" name="blendModeFill">
            <item>
             <property name="text">
              <string>Normal</string>
@@ -536,11 +536,6 @@
    <extends>QSpinBox</extends>
    <header location="global">ui/scrspinbox.h</header>
   </customwidget>
-  <customwidget>
-   <class>ScComboBox</class>
-   <extends>QComboBox</extends>
-   <header>ui/sccombobox.h</header>
-  </customwidget>
   <customwidget>
    <class>GradientEditor</class>
    <extends>QFrame</extends>
sccombobox.diff (38,001 bytes)

Issue History

Date Modified Username Field Change
2019-11-12 13:48 ale New Issue
2019-11-12 15:51 ale File Added: sccombobox.diff
2019-11-12 15:51 ale Summary remove ui/sccombobox => [PATCH] remove ui/sccombobox
2019-11-12 15:51 ale Patch No => Yes
2019-11-13 02:40 jghali Category Build System => Internal
2019-11-13 02:40 jghali Summary [PATCH] remove ui/sccombobox => Remove ui/sccombobox
2019-11-13 02:55 jghali Assigned To => ale
2019-11-13 02:55 jghali Status new => resolved
2019-11-13 02:55 jghali Resolution open => fixed
2019-11-13 02:55 jghali Fixed in Version => 1.5.6.svn
2019-12-08 21:24 cbradney Status resolved => closed